[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TCriticalSection.Create

Create a new critical section.

## Declaration

Source position: syncobjs.pp line 47

`public constructor TCriticalSection.Create;`

## Description

Create initializes a new critical section, and initializes the system objects for the critical section. It should be created only once for all threads, all threads should use the same critical section instance.

## See also

Destroy |  | Destroy the criticalsection instance

The latest version of this document can be found at lazarus-ccr.sourceforge.net .